if(typeof browser === "undefined")
		var browser = chrome;

document.addEventListener("DOMContentLoaded", function() {
	
	const headerIcon = document.querySelector("#sgdb-icon");
	headerIcon.src = browser.runtime.getURL("icons/icon_32.png");
	const nesIcon = document.querySelector("#nes-icon");
	nesIcon.src = browser.runtime.getURL("icons/nes_32.png");
	const giteaIcon = document.querySelector("#gitea-icon");
	giteaIcon.src = browser.runtime.getURL("icons/gitea_32.png");
	
	const gameToggle = document.getElementById('game');
	browser.storage.sync.get('gameEnabled').then((result) => {
		gameToggle.checked = result.gameEnabled !== undefined ? result.gameEnabled : true;
	});
	gameToggle.addEventListener('change', () => {
		const enabled = gameToggle.checked;
		browser.storage.sync.set({ gameEnabled: enabled });
	});
	
	const profileToggle = document.getElementById('profile');
	browser.storage.sync.get('profileEnabled').then((result) => {
		profileToggle.checked = result.profileEnabled !== undefined ? result.profileEnabled : false;
	});
	profileToggle.addEventListener('change', () => {
		const enabled = profileToggle.checked;
		browser.storage.sync.set({ profileEnabled: enabled });
	});
	
});
